> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fedapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all events



## OpenAPI

````yaml get /events
openapi: 3.0.0
info:
  title: Customer API
  version: v1
servers:
  - url: https://sandbox-api.fedapay.com/v1
  - url: https://api.fedapay.com/v1
security: []
paths:
  /events:
    get:
      summary: Get all events
      responses:
        '200':
          description: List of events
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                      description: Event ID.
                    type:
                      type: string
                      description: Event type
                    entity:
                      type: object
                      description: Event entity
                    object_id:
                      type: integer
                      description: Object ID associated with the event
                    account_id:
                      type: integer
                      description: Account ID associated with the event
                    created_at:
                      type: string
                      format: date-time
                      description: Date and time of event creation.
                    updated_at:
                      type: string
                      format: date-time
                      description: Date and time of last event update.
                    deleted_at:
                      type: string
                      format: date-time
                      description: Date and time of customer deletion (if applicable).
        '401':
          description: Unauthorized. Provide a valid secret key
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          label: NodeJs
          source: >-
            const { FedaPay, Event } = require('fedapay');

            /* Replace YOUR_SECRETE_API_KEY with your real API key */

            FedaPay.setApiKey("YOUR_SECRETE_API_KEY");

            /* Specify whether you want to run your query in test or live mode
            */

            FedaPay.setEnvironment('sandbox'); //or setEnvironment('live');

            /* Show events */

            const event = await Event.all( params = {}, headers = {} );
        - lang: PHP
          source: |-
            \FedaPay\Fedapay::setApiKey(MY_API_KEY);
            /**
            * @var \FedaPay\FedaPayObject
            */
            $response = \FedaPay\Event::all();
            $events = $response->events;
            $meta = $response->meta;
        - lang: Ruby
          source: |-
            require 'fedapay';
            # configure FedaPay library
            FedaPay.api_key = '' # Your secret api key
            FedaPay.environment = '' # sandbox or live
            events = FedaPay::Event.list;
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````